Package org.eclipse.emf.cdo.common.util

## Class ResourceSetConfigurer.Registry

- java.lang.Object
- - org.eclipse.emf.cdo.common.util.ResourceSetConfigurer.Registry

- Enclosing interface:
    ResourceSetConfigurer

      public static final class ResourceSetConfigurer.Registry
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ResourceSetConfigurer.Registry.ResourceSetConfiguration` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ResourceSetConfigurer.Registry` | `INSTANCE` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ResourceSetConfigurer.Registry.ResourceSetConfiguration` | `configureResourceSet​(ResourceSet resourceSet, java.lang.Object context)` |
    `ResourceSetConfigurer.Registry.ResourceSetConfiguration` | `configureResourceSet​(ResourceSet resourceSet, java.lang.Object context, org.eclipse.net4j.util.container.IManagedContainer container)` |
    `ResourceSetConfigurer` | `getConfigurer​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final ResourceSetConfigurer.Registry INSTANCE

  - ### Method Detail

    - #### getConfigurer

          public ResourceSetConfigurer getConfigurer​(org.eclipse.net4j.util.container.IManagedContainer container,
                                                     java.lang.String type)

    - #### configureResourceSet

          public ResourceSetConfigurer.Registry.ResourceSetConfiguration configureResourceSet​(ResourceSet resourceSet,
                                                                                              java.lang.Object context,
                                                                                              org.eclipse.net4j.util.container.IManagedContainer container)

    - #### configureResourceSet

          public ResourceSetConfigurer.Registry.ResourceSetConfiguration configureResourceSet​(ResourceSet resourceSet,
                                                                                              java.lang.Object context)